Package org.eclipse.birt.chart.model.attribute.impl

# Class ColorDefinitionImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.FillImpl
org.eclipse.birt.chart.model.attribute.impl.ColorDefinitionImpl

All Implemented Interfaces:
  `ColorDefinition`, `Fill`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class ColorDefinitionImpl extends FillImpl implements ColorDefinition
An implementation of the model object ' Color Definition'.

The following features are implemented:

- `Transparency`
- `Red`
- `Green`
- `Blue`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`static final ColorDefinition`
`BLACK()`
An opaque black color with (r=0;g=0;b=0) Note: Manually written
`static final ColorDefinition`
`BLUE()`
A light opaque blue color with (r=0;g=0;b=255) Note: Manually written
`final ColorDefinition`
`brighter()`
NOTE: Manually written
`ColorDefinition`
`copyInstance()`
A convenient method to get an instance copy.
`static final ColorDefinition`
`CREAM()`
An opaque creamy color with (r=249;g=225;b=191) Note: Manually written
`static final ColorDefinition`
`create(int iRed, int iGreen, int iBlue)`
NOTE: Manually written
`static final ColorDefinition`
`create(int iRed, int iGreen, int iBlue, int iAlpha)`
NOTE: Manually written
`static final ColorDefinition`
`CYAN()`
An opaque cyan color with (r=225;g=225;b=255) Note: Manually written
`final ColorDefinition`
`darker()`
NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`boolean`
`equals(Object obj)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`int`
`getBlue()`
`int`
`getGreen()`
`int`
`getRed()`
`int`
`getTransparency()`
`static final ColorDefinition`
`GREEN()`
A light opaque green color with (r=0;g=255;b=0) Note: Manually written
`static final ColorDefinition`
`GREY()`
A light opaque grey color with (r=127;g=127;b=127) Note: Manually written
`int`
`hashCode()`
`void`
`invert()`
Inverts the existing color (XORed with 0xFF).
`boolean`
`isSetBlue()`
`boolean`
`isSetGreen()`
`boolean`
`isSetRed()`
`boolean`
`isSetTransparency()`
`final ColorDefinition`
`opaque()`
NOTE: Manually written
`static final ColorDefinition`
`ORANGE()`
An opaque orange color with (r=223;g=197;b=41) Note: Manually written
`static final ColorDefinition`
`PINK()`
An opaque orange color with (r=255;g=205;b=225) Note: Manually written
`static final ColorDefinition`
`RED()`
A light opaque red color with (r=255;g=0;b=0) Note: Manually written
`void`
`set(int iRed, int iGreen, int iBlue)`
A convenient method provided to initialize member variables (without transparency) Note: Manually written
`void`
`set(int iRed, int iGreen, int iBlue, int iAlpha)`
A convenient method provided to initialize all member variables (including transparency) Note: Manually written
`void`
`setBlue(int newBlue)`
`void`
`setGreen(int newGreen)`
`void`
`setRed(int newRed)`
`void`
`setTransparency(int newTransparency)`
`String`
`toString()`
`final ColorDefinition`
`translucent()`
NOTE: Manually written
`final ColorDefinition`
`transparent()`
NOTE: Manually written
`static final ColorDefinition`
`TRANSPARENT()`
A transparent color constant that should be used wherever applicable Note: Manually written
`void`
`unsetBlue()`
`void`
`unsetGreen()`
`void`
`unsetRed()`
`void`
`unsetTransparency()`
`static final ColorDefinition`
`WHITE()`
An opaque white color with (r=255;g=255;b=255) Note: Manually written
`static final ColorDefinition`
`YELLOW()`
An opaque yellow color with (r=255;g=255;b=0) Note: Manually written

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.FillImpl

`getType, isSetType, setType, unsetType`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### set

public void set(int iRed, int iGreen, int iBlue)
A convenient method provided to initialize member variables (without transparency) Note: Manually written

Specified by:
  `set` in interface `ColorDefinition`
Parameters:
  `iRed` -
  `iGreen` -
  `iBlue` -

### set

public void set(int iRed, int iGreen, int iBlue, int iAlpha)
A convenient method provided to initialize all member variables (including transparency) Note: Manually written

Specified by:
  `set` in interface `ColorDefinition`
Parameters:
  `iRed` -
  `iGreen` -
  `iBlue` -
  `iAlpha` -

### getTransparency

public int getTransparency()

Specified by:
  `getTransparency` in interface `ColorDefinition`
Returns:
  the value of the 'Transparency' attribute.
See Also:
  - `ColorDefinition.isSetTransparency()`
  - `ColorDefinition.unsetTransparency()`
  - `ColorDefinition.setTransparency(int)`
  - `AttributePackage.getColorDefinition_Transparency()`

### setTransparency

public void setTransparency(int newTransparency)

Specified by:
  `setTransparency` in interface `ColorDefinition`
Parameters:
  `newTransparency` - the new value of the 'Transparency' attribute.
See Also:
  - `ColorDefinition.isSetTransparency()`
  - `ColorDefinition.unsetTransparency()`
  - `ColorDefinition.getTransparency()`

### unsetTransparency

public void unsetTransparency()

Specified by:
  `unsetTransparency` in interface `ColorDefinition`
See Also:
  - `ColorDefinition.isSetTransparency()`
  - `ColorDefinition.getTransparency()`
  - `ColorDefinition.setTransparency(int)`

### isSetTransparency

public boolean isSetTransparency()

Specified by:
  `isSetTransparency` in interface `ColorDefinition`
Returns:
  whether the value of the 'Transparency' attribute is set.
See Also:
  - `ColorDefinition.unsetTransparency()`
  - `ColorDefinition.getTransparency()`
  - `ColorDefinition.setTransparency(int)`

### getRed

public int getRed()

Specified by:
  `getRed` in interface `ColorDefinition`
Returns:
  the value of the 'Red' attribute.
See Also:
  - `ColorDefinition.isSetRed()`
  - `ColorDefinition.unsetRed()`
  - `ColorDefinition.setRed(int)`
  - `AttributePackage.getColorDefinition_Red()`

### setRed

public void setRed(int newRed)

Specified by:
  `setRed` in interface `ColorDefinition`
Parameters:
  `newRed` - the new value of the 'Red' attribute.
See Also:
  - `ColorDefinition.isSetRed()`
  - `ColorDefinition.unsetRed()`
  - `ColorDefinition.getRed()`

### unsetRed

public void unsetRed()

Specified by:
  `unsetRed` in interface `ColorDefinition`
See Also:
  - `ColorDefinition.isSetRed()`
  - `ColorDefinition.getRed()`
  - `ColorDefinition.setRed(int)`

### isSetRed

public boolean isSetRed()

Specified by:
  `isSetRed` in interface `ColorDefinition`
Returns:
  whether the value of the 'Red' attribute is set.
See Also:
  - `ColorDefinition.unsetRed()`
  - `ColorDefinition.getRed()`
  - `ColorDefinition.setRed(int)`

### getBlue

public int getBlue()

Specified by:
  `getBlue` in interface `ColorDefinition`
Returns:
  the value of the 'Blue' attribute.
See Also:
  - `ColorDefinition.isSetBlue()`
  - `ColorDefinition.unsetBlue()`
  - `ColorDefinition.setBlue(int)`
  - `AttributePackage.getColorDefinition_Blue()`

### setBlue

public void setBlue(int newBlue)

Specified by:
  `setBlue` in interface `ColorDefinition`
Parameters:
  `newBlue` - the new value of the 'Blue' attribute.
See Also:
  - `ColorDefinition.isSetBlue()`
  - `ColorDefinition.unsetBlue()`
  - `ColorDefinition.getBlue()`

### unsetBlue

public void unsetBlue()

Specified by:
  `unsetBlue` in interface `ColorDefinition`
See Also:
  - `ColorDefinition.isSetBlue()`
  - `ColorDefinition.getBlue()`
  - `ColorDefinition.setBlue(int)`

### isSetBlue

public boolean isSetBlue()

Specified by:
  `isSetBlue` in interface `ColorDefinition`
Returns:
  whether the value of the 'Blue' attribute is set.
See Also:
  - `ColorDefinition.unsetBlue()`
  - `ColorDefinition.getBlue()`
  - `ColorDefinition.setBlue(int)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `FillImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `FillImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `FillImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `FillImpl`

### getGreen

public int getGreen()

Specified by:
  `getGreen` in interface `ColorDefinition`
Returns:
  the value of the 'Green' attribute.
See Also:
  - `ColorDefinition.isSetGreen()`
  - `ColorDefinition.unsetGreen()`
  - `ColorDefinition.setGreen(int)`
  - `AttributePackage.getColorDefinition_Green()`

### setGreen

public void setGreen(int newGreen)

Specified by:
  `setGreen` in interface `ColorDefinition`
Parameters:
  `newGreen` - the new value of the 'Green' attribute.
See Also:
  - `ColorDefinition.isSetGreen()`
  - `ColorDefinition.unsetGreen()`
  - `ColorDefinition.getGreen()`

### unsetGreen

public void unsetGreen()

Specified by:
  `unsetGreen` in interface `ColorDefinition`
See Also:
  - `ColorDefinition.isSetGreen()`
  - `ColorDefinition.getGreen()`
  - `ColorDefinition.setGreen(int)`

### isSetGreen

public boolean isSetGreen()

Specified by:
  `isSetGreen` in interface `ColorDefinition`
Returns:
  whether the value of the 'Green' attribute is set.
See Also:
  - `ColorDefinition.unsetGreen()`
  - `ColorDefinition.getGreen()`
  - `ColorDefinition.setGreen(int)`

### toString

public String toString()

Overrides:
  `toString` in class `FillImpl`

### create

public static final ColorDefinition create(int iRed, int iGreen, int iBlue, int iAlpha)
NOTE: Manually written

Parameters:
  `iRed` -
  `iGreen` -
  `iBlue` -
  `iAlpha` -
Returns:
  color definition instance with setting 'isSet' flag.

### create

public static final ColorDefinition create(int iRed, int iGreen, int iBlue)
NOTE: Manually written

Parameters:
  `iRed` -
  `iGreen` -
  `iBlue` -
Returns:
  color definition instance with setting 'isSet' flag.

### TRANSPARENT

public static final ColorDefinition TRANSPARENT()
A transparent color constant that should be used wherever applicable Note: Manually written

### RED

public static final ColorDefinition RED()
A light opaque red color with (r=255;g=0;b=0) Note: Manually written

### GREEN

public static final ColorDefinition GREEN()
A light opaque green color with (r=0;g=255;b=0) Note: Manually written

### BLUE

public static final ColorDefinition BLUE()
A light opaque blue color with (r=0;g=0;b=255) Note: Manually written

### BLACK

public static final ColorDefinition BLACK()
An opaque black color with (r=0;g=0;b=0) Note: Manually written

### WHITE

public static final ColorDefinition WHITE()
An opaque white color with (r=255;g=255;b=255) Note: Manually written

### YELLOW

public static final ColorDefinition YELLOW()
An opaque yellow color with (r=255;g=255;b=0) Note: Manually written

### CYAN

public static final ColorDefinition CYAN()
An opaque cyan color with (r=225;g=225;b=255) Note: Manually written

### GREY

public static final ColorDefinition GREY()
A light opaque grey color with (r=127;g=127;b=127) Note: Manually written

### ORANGE

public static final ColorDefinition ORANGE()
An opaque orange color with (r=223;g=197;b=41) Note: Manually written

### CREAM

public static final ColorDefinition CREAM()
An opaque creamy color with (r=249;g=225;b=191) Note: Manually written

### PINK

public static final ColorDefinition PINK()
An opaque orange color with (r=255;g=205;b=225) Note: Manually written

### brighter

public final ColorDefinition brighter()
NOTE: Manually written

Specified by:
  `brighter` in interface `ColorDefinition`
Returns:
  A new brighter color instance of this color

### darker

public final ColorDefinition darker()
NOTE: Manually written

Specified by:
  `darker` in interface `ColorDefinition`
Returns:
  A new darker color instance of this color

### translucent

public final ColorDefinition translucent()
Description copied from interface: `ColorDefinition`
NOTE: Manually written

Specified by:
  `translucent` in interface `ColorDefinition`
Returns:
  A copy of the existing color but with alpha=127

### transparent

public final ColorDefinition transparent()
Description copied from interface: `ColorDefinition`
NOTE: Manually written

Specified by:
  `transparent` in interface `ColorDefinition`
Returns:
  A copy of the existing color but with alpha=0

### opaque

public final ColorDefinition opaque()
Description copied from interface: `ColorDefinition`
NOTE: Manually written

Specified by:
  `opaque` in interface `ColorDefinition`
Returns:
  A copy of the existing color but with alpha=255

### invert

public void invert()
Description copied from interface: `ColorDefinition`
Inverts the existing color (XORed with 0xFF).

Specified by:
  `invert` in interface `ColorDefinition`

### copyInstance

public ColorDefinition copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `ColorDefinition`
Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `IChartObject`
Overrides:
  `copyInstance` in class `FillImpl`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`